Skip to content

The Home Depot Search Results API

Scrape Home Depot search results instantly with a simple API call

Last Updated: March 16, 2026

A GET request to our endpoint /api/getter/?platform="homedepot_search" will allow you to scrape search results from HomeDepot.com's search engine in real-time.

Example

Here's an example showcasing how you can scrape search results from HomeDepot.com for the keyword of your choice. For our example, we have chosen the keyword, "screw driver" and chosen a store number and zipcode.

1
curl 'https://data.unwrangle.com/api/getter/?platform=homedepot_search&search=screw+driver&store_no=801&zipcode=36695&api_key=API_KEY'
1
2
3
4
5
import requests

url = 'https://data.unwrangle.com/api/getter/?platform=homedepot_search&search=screw+driver&store_no=801&zipcode=36695&api_key=API_KEY'
response = requests.get(url)
print(response.json())
1
2
3
const response = await fetch('https://data.unwrangle.com/api/getter/?platform=homedepot_search&search=screw+driver&store_no=801&zipcode=36695&api_key=API_KEY')
const data = await response.json()
console.log(data)
1
2
3
4
5
6
<?php
$url = 'https://data.unwrangle.com/api/getter/?platform=homedepot_search&search=screw+driver&store_no=801&zipcode=36695&api_key=API_KEY';
$response = file_get_contents($url);
$data = json_decode($response, true);
print_r($data);
?>
1
2
3
4
5
6
require 'net/http'
require 'uri'

uri = URI.parse('https://data.unwrangle.com/api/getter/?platform=homedepot_search&search=screw+driver&store_no=801&zipcode=36695&api_key=API_KEY')
response = Net::HTTP.get(uri)
puts response

Query Parameters

As you can see in the example above, our endpoint needs the following query parameters:

Search Query

search

Required

Parameter defines the search query you want to search. You can use anything that a user may use in a regular search while shopping on HomeDepot.com.

store_no

Optional

HomeDepot store number. You can find a list of all store numbers here.

zipcode

Optional

Corresponding zipcode of the store. This parameter is required for fetching details local to a store_no. The zipcode can also be found in the same file linked above.

page

Optional

Parameter defines the page number for which you want the results. Default value is 1. Max value is 30.

Note

Home Depot shows search results only upto page 30. If you try to fetch a page number greater than 30, you will receive an error message.

Other Required Parameters

platform

Required

Parameter specifies the scraping engine you wish to invoke. In this case, the value should be homedepot_search.

api_key

Required

Your account's token—which can be obtained by signing up here.

Note

Be sure to replace select the correct path for the search results page. The path should start with / and end with the search query. For example, /b/Furniture-Living-Room-Furniture-Chairs/N-5yc1vZc7py is the path for the search query "chair".

Results

The response will include up to 24 product results for every query. Our scraper grabs the following attributes for every product in Home Depot's search results:

Attributes Returned Data Type Information Represented
name string Name of product listing
brand string Product's brand name
id string Retailer ID of product listing
url string URL of product listing
model_no string Manufacturer's model number
upc string Universal Product Code
retail_id string Retailer's internal listing ID
product_type string Product type (e.g. MERCHANDISE)
parent_id string ID of the parent product grouping
is_primary_sku boolean Whether this is the primary SKU in a product group
thumbnails list Thumbnail image URLs for the product
images list Detailed image objects with url and type (PRIMARY, SECONDARY)
variants list Product variant details
total_options int/null Total number of variant options available
rating float Average star rating of product
total_reviews int Number of user reviews received
price float Current selling price
list_price float Original or list price
price_per_unit float/null Price per unit when applicable
unit_of_measure string Unit of measure (e.g. each, set)
units_per_case float Units per case for bulk items
bulk_pricing object/null Bulk pricing tiers when available
discount_campaign string/null Active discount campaign name (e.g. Special Buys)
clearance object/null Clearance pricing details when applicable
conditional_promotions list Conditional promotions with tiers
currency string ISO currency code (e.g. USD)
currency_symbol string Currency symbol (e.g. $)
highlights list Product highlight badges
specifications object/null Key product specifications
categories list Product category hierarchy
department string Product department name
breadcrumbs list Navigation breadcrumb trail
collection object/null Product collection details
availability string Availability status (e.g. Shared, Online)
discontinued boolean Whether the product has been discontinued
backordered boolean Whether the product is backordered
in_stock boolean Whether the product is currently in stock
fulfillment_options list Fulfillment methods with inventory, delivery dates, and store details
excluded_ship_states string Comma-separated state codes excluded from shipping
is_sponsored boolean/null Whether the listing is a sponsored placement
retailer_badges list Retailer badges (e.g. Best Seller, New, Exclusive)
returnable string Return policy (e.g. 90-Day)
quantity_limit int Maximum purchase quantity (0 = no limit)
has_subscription boolean Whether subscription purchasing is available
favorites_count int/null Number of times the product has been favorited

Response Example

Here's the response you can expect to receive for the request showcased above:

{
    "success": true,
    "platform": "homedepot_search",
    "store_no": "801",
    "zipcode": "36695",
    "url": "https://www.homedepot.com/b/Tools-Hand-Tools-Screwdrivers-Nut-Drivers-Screwdrivers/N-5yc1vZc993?NCNI-5",
    "page": 1,
    "total_results": 963,
    "no_of_pages": 41,
    "result_count": 34,
    "results": [
        {
            "name": "8-IN-1 Multi-Bit Screwdriver w/ SHOCKWAVE",
            "brand": "Milwaukee",
            "id": "337437266",
            "url": "https://www.homedepot.com/p/Milwaukee-8-IN-1-Multi-Bit-Screwdriver-w-SHOCKWAVE-48-22-2922/337437266",
            "model_no": "48-22-2922",
            "upc": "045242392001",
            "retail_id": "1014828386",
            "product_type": "MERCHANDISE",
            "parent_id": "337437266",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/390530d0-a582-4ccb-925c-bab71565d5d2/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2922-64_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/390530d0-a582-4ccb-925c-bab71565d5d2/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2922-64_65.jpg",
                    "type": "PRIMARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 3.85,
            "total_reviews": 27,
            "price": 20.97,
            "list_price": 20.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Electrical",
                "Electrical Tools",
                "Electrical Hand Tools",
                "Electrical Screwdrivers & Nut Drivers"
            ],
            "department": "Electrical Screwdrivers & Nut Drivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": false,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 14,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 332,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,AR,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "new",
                    "label": "New"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "Phillips/Slotted Flat Head Hex Drive Screwdriver Set with Tri-Lobe Handle (6-Piece)",
            "brand": "Milwaukee",
            "id": "302174847",
            "url": "https://www.homedepot.com/p/Milwaukee-Phillips-Slotted-Flat-Head-Hex-Drive-Screwdriver-Set-with-Tri-Lobe-Handle-6-Piece-48-22-2706/302174847",
            "model_no": "48-22-2706",
            "upc": "045242508020",
            "retail_id": "1000018095",
            "product_type": "MERCHANDISE",
            "parent_id": "302174847",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/5370c87a-a0c5-4565-868c-ae0bc388ec9c/svn/milwaukee-screwdriver-sets-48-22-2706-64_1000.jpg",
                "https://images.thdstatic.com/productImages/cb4501d1-218f-4e8c-a152-deb07e3b2c23/svn/milwaukee-screwdriver-sets-48-22-2706-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/5370c87a-a0c5-4565-868c-ae0bc388ec9c/svn/milwaukee-screwdriver-sets-48-22-2706-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/cb4501d1-218f-4e8c-a152-deb07e3b2c23/svn/milwaukee-screwdriver-sets-48-22-2706-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": 12,
            "rating": 4.7,
            "total_reviews": 1490,
            "price": 24.97,
            "list_price": 24.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Hand Tool Sets",
                "Screwdriver Sets"
            ],
            "department": "Screwdriver Sets",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 33,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 367,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "express delivery",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 2.99,
                    "delivery_start_date": "2026-03-16",
                    "delivery_end_date": "2026-03-16",
                    "delivery_timeline": "today",
                    "inventory": {
                        "quantity": 35,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "bestseller",
                    "label": "Best Seller"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": 2340
        },
        {
            "name": "13-in-1 Multi-Tip Cushion Grip Combination Screwdriver",
            "brand": "Milwaukee",
            "id": "305456601",
            "url": "https://www.homedepot.com/p/Milwaukee-13-in-1-Multi-Tip-Cushion-Grip-Combination-Screwdriver-48-22-2880/305456601",
            "model_no": "48-22-2880",
            "upc": "045242514359",
            "retail_id": "1003835920",
            "product_type": "MERCHANDISE",
            "parent_id": "305456601",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/65c1a926-1c1b-4eea-93da-02838249c7e5/svn/milwaukee-multi-bit-screwdrivers-48-22-2880-64_1000.jpg",
                "https://images.thdstatic.com/productImages/8cbf2f3d-1339-43cf-9c1e-adbd0ba06843/svn/milwaukee-multi-bit-screwdrivers-48-22-2880-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/65c1a926-1c1b-4eea-93da-02838249c7e5/svn/milwaukee-multi-bit-screwdrivers-48-22-2880-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/8cbf2f3d-1339-43cf-9c1e-adbd0ba06843/svn/milwaukee-multi-bit-screwdrivers-48-22-2880-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": 5,
            "rating": 4.5,
            "total_reviews": 581,
            "price": 19.97,
            "list_price": 19.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers",
                "Multi-Bit Screwdrivers"
            ],
            "department": "Multi-Bit Screwdrivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 20,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 164,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "express delivery",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 2.99,
                    "delivery_start_date": "2026-03-16",
                    "delivery_end_date": "2026-03-16",
                    "delivery_timeline": "today",
                    "inventory": {
                        "quantity": 45,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": 379
        },
        {
            "name": "#1 Square 8\" Cushion Grip Screwdriver (USA)",
            "brand": "Milwaukee",
            "id": "339292134",
            "url": "https://www.homedepot.com/p/Milwaukee-1-Square-8-Cushion-Grip-Screwdriver-USA-MT227/339292134",
            "model_no": "MT227",
            "upc": "045242548194",
            "retail_id": "1015372393",
            "product_type": "MERCHANDISE",
            "parent_id": "339292134",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/7c0b7181-e0ca-4c35-8fb5-c1ad85e6981b/svn/milwaukee-specialty-screwdrivers-mt227-64_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/7c0b7181-e0ca-4c35-8fb5-c1ad85e6981b/svn/milwaukee-specialty-screwdrivers-mt227-64_65.jpg",
                    "type": "PRIMARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 4.83,
            "total_reviews": 6,
            "price": 13.97,
            "list_price": 13.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers",
                "Specialty Screwdrivers"
            ],
            "department": "Specialty Screwdrivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Online",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "boss",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 24,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 24,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": true,
            "retailer_badges": [
                {
                    "type": "new",
                    "label": "New"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "2 PC. Cushion Grip Screwdriver Set (USA)",
            "brand": "Milwaukee",
            "id": "339949128",
            "url": "https://www.homedepot.com/p/Milwaukee-2-PC-Cushion-Grip-Screwdriver-Set-USA-MT200-2L/339949128",
            "model_no": "MT200-2L",
            "upc": "045242561513",
            "retail_id": "1015267070",
            "product_type": "MERCHANDISE",
            "parent_id": "339949128",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/d638e79a-4e9e-4287-8693-e212c58e9361/svn/milwaukee-phillips-head-screwdrivers-mt200-2l-64_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/d638e79a-4e9e-4287-8693-e212c58e9361/svn/milwaukee-phillips-head-screwdrivers-mt200-2l-64_65.jpg",
                    "type": "PRIMARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 5.0,
            "total_reviews": 7,
            "price": 24.97,
            "list_price": 24.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers",
                "Phillips-Head Screwdrivers"
            ],
            "department": "Phillips-Head Screwdrivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Online",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "boss",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 25,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-18",
                    "delivery_end_date": "2026-03-18",
                    "delivery_timeline": "later",
                    "inventory": {
                        "quantity": 25,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": true,
            "retailer_badges": [
                {
                    "type": "new",
                    "label": "New"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "14-in-1 Ratcheting Multi-Bit Screwdriver and 8-in-1 Compact Multi-Bit Screwdriver (2-Pack)",
            "brand": "Milwaukee",
            "id": "335643900",
            "url": "https://www.homedepot.com/p/Milwaukee-14-in-1-Ratcheting-Multi-Bit-Screwdriver-and-8-in-1-Compact-Multi-Bit-Screwdriver-2-Pack-48-22-2906/335643900",
            "model_no": "48-22-2906",
            "upc": "045242412259",
            "retail_id": "1014211420",
            "product_type": "MERCHANDISE",
            "parent_id": "335643900",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/d5fc567d-1fc9-480f-b6ef-fa7aa50a79c0/svn/milwaukee-screwdriver-sets-48-22-2906-64_1000.jpg",
                "https://images.thdstatic.com/productImages/a7bb453f-a9e8-47ff-9c69-65c9d3d9f860/svn/milwaukee-screwdriver-sets-48-22-2906-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/d5fc567d-1fc9-480f-b6ef-fa7aa50a79c0/svn/milwaukee-screwdriver-sets-48-22-2906-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/a7bb453f-a9e8-47ff-9c69-65c9d3d9f860/svn/milwaukee-screwdriver-sets-48-22-2906-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 4.73,
            "total_reviews": 266,
            "price": 35.94,
            "list_price": 35.94,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Hand Tool Sets",
                "Screwdriver Sets"
            ],
            "department": "Screwdriver Sets",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": false,
            "fulfillment_options": [],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "bestseller",
                    "label": "Best Seller"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "14-In-1 Ratcheting Multi-Bit Screwdriver",
            "brand": "Milwaukee",
            "id": "321180777",
            "url": "https://www.homedepot.com/p/Milwaukee-14-In-1-Ratcheting-Multi-Bit-Screwdriver-48-22-2903/321180777",
            "model_no": "48-22-2903",
            "upc": "045242630479",
            "retail_id": "1008788825",
            "product_type": "MERCHANDISE",
            "parent_id": "321180777",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/11dd05c5-f3ba-4f00-a7b5-168929130bae/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2903-64_1000.jpg",
                "https://images.thdstatic.com/productImages/0b3dd653-9b11-438f-be8a-1ca25be20f61/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2903-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/11dd05c5-f3ba-4f00-a7b5-168929130bae/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2903-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/0b3dd653-9b11-438f-be8a-1ca25be20f61/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2903-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 3.98,
            "total_reviews": 894,
            "price": 21.97,
            "list_price": 21.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Electrical",
                "Electrical Tools",
                "Electrical Hand Tools",
                "Electrical Screwdrivers & Nut Drivers"
            ],
            "department": "Electrical Screwdrivers & Nut Drivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 6,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 193,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "express delivery",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 2.99,
                    "delivery_start_date": "2026-03-16",
                    "delivery_end_date": "2026-03-16",
                    "delivery_timeline": "today",
                    "inventory": {
                        "quantity": 7,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "bestseller",
                    "label": "Best Seller"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "#2 Square 8\" Cushion Grip Screwdriver (USA)",
            "brand": "Milwaukee",
            "id": "339291511",
            "url": "https://www.homedepot.com/p/Milwaukee-2-Square-8-Cushion-Grip-Screwdriver-USA-MT220/339291511",
            "model_no": "MT220",
            "upc": "045242548170",
            "retail_id": "1015372391",
            "product_type": "MERCHANDISE",
            "parent_id": "339291511",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/b274c6fd-4f65-4a4b-a451-ec168da24b16/svn/milwaukee-specialty-screwdrivers-mt220-64_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/b274c6fd-4f65-4a4b-a451-ec168da24b16/svn/milwaukee-specialty-screwdrivers-mt220-64_65.jpg",
                    "type": "PRIMARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 5.0,
            "total_reviews": 6,
            "price": 13.97,
            "list_price": 13.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers",
                "Specialty Screwdrivers"
            ],
            "department": "Specialty Screwdrivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Online",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "boss",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 24,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 24,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": true,
            "retailer_badges": [
                {
                    "type": "new",
                    "label": "New"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "PocketMax Multi-Bit 1000-Volt Insulated Screwdriver",
            "brand": "Wiha",
            "id": "326524205",
            "url": "https://www.homedepot.com/p/Wiha-PocketMax-Multi-Bit-1000-Volt-Insulated-Screwdriver-28345/326524205",
            "model_no": "28345",
            "upc": "084705283456",
            "retail_id": "1010024696",
            "product_type": "MERCHANDISE",
            "parent_id": "326524205",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/da4e113e-14ba-5661-adc2-b22f9561c911/svn/wiha-multi-bit-screwdrivers-28345-64_1000.jpg",
                "https://images.thdstatic.com/productImages/b2ab7196-40c7-4604-b745-8a167c156e66/svn/wiha-multi-bit-screwdrivers-28345-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/da4e113e-14ba-5661-adc2-b22f9561c911/svn/wiha-multi-bit-screwdrivers-28345-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/b2ab7196-40c7-4604-b745-8a167c156e66/svn/wiha-multi-bit-screwdrivers-28345-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 4.44,
            "total_reviews": 25,
            "price": 39.99,
            "list_price": 39.99,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers",
                "Multi-Bit Screwdrivers"
            ],
            "department": "Multi-Bit Screwdrivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Online",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "boss",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 95,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-19",
                    "delivery_end_date": "2026-03-20",
                    "delivery_timeline": "later",
                    "inventory": {
                        "quantity": 95,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": true,
            "retailer_badges": [],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "39-in-1 Precision Multi-Bit Screwdriver",
            "brand": "Milwaukee",
            "id": "327601321",
            "url": "https://www.homedepot.com/p/Milwaukee-39-in-1-Precision-Multi-Bit-Screwdriver-48-22-2935/327601321",
            "model_no": "48-22-2935",
            "upc": "045242846528",
            "retail_id": "1010494322",
            "product_type": "MERCHANDISE",
            "parent_id": "327601321",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/8dbd7055-00a2-409f-9d41-a8a4ff63cdc7/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2935-64_1000.jpg",
                "https://images.thdstatic.com/productImages/e77b9a6f-ef9e-476c-9549-758027f71654/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2935-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/8dbd7055-00a2-409f-9d41-a8a4ff63cdc7/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2935-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/e77b9a6f-ef9e-476c-9549-758027f71654/svn/milwaukee-electrical-screwdrivers-nut-drivers-48-22-2935-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 4.69,
            "total_reviews": 117,
            "price": 34.97,
            "list_price": 34.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Electrical",
                "Electrical Tools",
                "Electrical Hand Tools",
                "Electrical Screwdrivers & Nut Drivers"
            ],
            "department": "Electrical Screwdrivers & Nut Drivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 7,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-18",
                    "delivery_end_date": "2026-03-18",
                    "delivery_timeline": "later",
                    "inventory": {
                        "quantity": 25,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "express delivery",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-16",
                    "delivery_end_date": "2026-03-16",
                    "delivery_timeline": "today",
                    "inventory": {
                        "quantity": 13,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "bestseller",
                    "label": "Best Seller"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "Demolition Screwdriver",
            "brand": "Milwaukee",
            "id": "318757459",
            "url": "https://www.homedepot.com/p/Milwaukee-Demolition-Screwdriver-48-22-2859/318757459",
            "model_no": "48-22-2859",
            "upc": "045242632459",
            "retail_id": "1007603312",
            "product_type": "MERCHANDISE",
            "parent_id": "318757459",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/d8bbfd4e-f93b-4a3f-ae9f-ec493e60e394/svn/milwaukee-slotted-screwdrivers-48-22-2859-64_1000.jpg",
                "https://images.thdstatic.com/productImages/89f19dfa-8eec-4ff2-b67d-60f58416ea87/svn/milwaukee-slotted-screwdrivers-48-22-2859-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/d8bbfd4e-f93b-4a3f-ae9f-ec493e60e394/svn/milwaukee-slotted-screwdrivers-48-22-2859-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/89f19dfa-8eec-4ff2-b67d-60f58416ea87/svn/milwaukee-slotted-screwdrivers-48-22-2859-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 4.81,
            "total_reviews": 187,
            "price": 19.97,
            "list_price": 19.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers",
                "Slotted Screwdrivers"
            ],
            "department": "Slotted Screwdrivers",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 3,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 136,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "express delivery",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 2.99,
                    "delivery_start_date": "2026-03-16",
                    "delivery_end_date": "2026-03-16",
                    "delivery_timeline": "today",
                    "inventory": {
                        "quantity": 3,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "bestseller",
                    "label": "Best Seller"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "Screwdriver Set, 5 Phillips, 5 Slotted, 2 Torx, 2 Square, Magnetic Tip, 3% Donated to Veterans (14-Piece)",
            "brand": "SPEC OPS",
            "id": "324848183",
            "url": "https://www.homedepot.com/p/SPEC-OPS-Screwdriver-Set-5-Phillips-5-Slotted-2-Torx-2-Square-Magnetic-Tip-3-Donated-to-Veterans-14-Piece-SPEC-S-14PK/324848183",
            "model_no": "SPEC-S-14PK",
            "upc": "810005201155",
            "retail_id": "1009492987",
            "product_type": "MERCHANDISE",
            "parent_id": "333279518",
            "is_primary_sku": true,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/681cdbf6-f96c-46f5-9607-a105e355a8a2/svn/spec-ops-screwdriver-sets-spec-s-14pk-64_1000.jpg",
                "https://images.thdstatic.com/productImages/16af0a77-e802-492e-b3ef-430e73057c46/svn/spec-ops-screwdriver-sets-spec-s-14pk-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/681cdbf6-f96c-46f5-9607-a105e355a8a2/svn/spec-ops-screwdriver-sets-spec-s-14pk-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/16af0a77-e802-492e-b3ef-430e73057c46/svn/spec-ops-screwdriver-sets-spec-s-14pk-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": 5,
            "rating": 4.88,
            "total_reviews": 26,
            "price": 38.49,
            "list_price": 38.49,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Hand Tool Sets",
                "Screwdriver Sets"
            ],
            "department": "Screwdriver Sets",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Online",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "boss",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 1553,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-20",
                    "delivery_end_date": "2026-03-21",
                    "delivery_timeline": "later",
                    "inventory": {
                        "quantity": 1553,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": true,
            "retailer_badges": [],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": null
        },
        {
            "name": "Mako Precision Screwdriver Bit Set (67-Pieces)",
            "brand": "iFixit",
            "id": "308082198",
            "url": "https://www.homedepot.com/p/iFixit-Mako-Precision-Screwdriver-Bit-Set-67-Pieces-IF145-299-4/308082198",
            "model_no": "IF145-299-4",
            "upc": "856235006283",
            "retail_id": "1004326892",
            "product_type": "MERCHANDISE",
            "parent_id": "308082198",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/7975bc0f-3e7f-4917-af92-2dbf729fba81/svn/ifixit-screwdriver-sets-if145-299-4-64_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/7975bc0f-3e7f-4917-af92-2dbf729fba81/svn/ifixit-screwdriver-sets-if145-299-4-64_65.jpg",
                    "type": "PRIMARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 4.81,
            "total_reviews": 345,
            "price": 39.97,
            "list_price": 39.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers",
                "Screwdriver Sets"
            ],
            "department": "Screwdriver Sets",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 0,
                        "in_stock": false,
                        "out_of_stock": false,
                        "limited_quantity": true
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 27,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "bestseller",
                    "label": "Best Seller"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": 101
        },
        {
            "name": "Screwdriver Set (15-Piece)",
            "brand": "Husky",
            "id": "204663546",
            "url": "https://www.homedepot.com/p/Husky-Screwdriver-Set-15-Piece-246340150/204663546",
            "model_no": "246340150",
            "upc": "4716609411302",
            "retail_id": "1000024275",
            "product_type": "MERCHANDISE",
            "parent_id": "204663546",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/f6befa43-60ef-4ed5-b9c6-0139f1de1ad9/svn/husky-screwdriver-sets-246340150-64_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/f6befa43-60ef-4ed5-b9c6-0139f1de1ad9/svn/husky-screwdriver-sets-246340150-64_65.jpg",
                    "type": "PRIMARY"
                }
            ],
            "variants": [],
            "total_options": null,
            "rating": 4.7,
            "total_reviews": 558,
            "price": 34.97,
            "list_price": 34.97,
            "price_per_unit": null,
            "unit_of_measure": "set",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Hand Tool Sets",
                "Screwdriver Sets"
            ],
            "department": "Screwdriver Sets",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Shared",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "bopis",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 2,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 899,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "express delivery",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 2.99,
                    "delivery_start_date": "2026-03-16",
                    "delivery_end_date": "2026-03-16",
                    "delivery_timeline": "today",
                    "inventory": {
                        "quantity": 4,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [
                {
                    "type": "exclusive",
                    "label": "Exclusive"
                }
            ],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": 4735
        },
        {
            "name": "Combination Screwdriver Set (10-Piece)",
            "brand": "Milwaukee",
            "id": "302174758",
            "url": "https://www.homedepot.com/p/Milwaukee-Combination-Screwdriver-Set-10-Piece-48-22-2710/302174758",
            "model_no": "48-22-2710",
            "upc": "045242508051",
            "retail_id": "1002821284",
            "product_type": "MERCHANDISE",
            "parent_id": "302174758",
            "is_primary_sku": false,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/7b4dd854-16c1-4248-bbf4-f9da353235d9/svn/milwaukee-screwdriver-sets-48-22-2710-64_1000.jpg",
                "https://images.thdstatic.com/productImages/708c126f-9d98-4761-af84-4a4f0ed31f8e/svn/milwaukee-screwdriver-sets-48-22-2710-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/7b4dd854-16c1-4248-bbf4-f9da353235d9/svn/milwaukee-screwdriver-sets-48-22-2710-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/708c126f-9d98-4761-af84-4a4f0ed31f8e/svn/milwaukee-screwdriver-sets-48-22-2710-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": 12,
            "rating": 4.77,
            "total_reviews": 1418,
            "price": 44.97,
            "list_price": 44.97,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Hand Tool Sets",
                "Screwdriver Sets"
            ],
            "department": "Screwdriver Sets",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Online",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "boss",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 347,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-17",
                    "delivery_end_date": "2026-03-17",
                    "delivery_timeline": "tomorrow",
                    "inventory": {
                        "quantity": 347,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": null,
            "retailer_badges": [],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": 327
        },
        {
            "name": "1000-Volt Insulated Soft Finish Screwdriver Set Includes Slotted, Phillips, Square Tip (7-Piece)",
            "brand": "Wiha",
            "id": "313579502",
            "url": "https://www.homedepot.com/p/Wiha-1000-Volt-Insulated-Soft-Finish-Screwdriver-Set-Includes-Slotted-Phillips-Square-Tip-7-Piece-32097/313579502",
            "model_no": "32097",
            "upc": "084705320977",
            "retail_id": "1011004748",
            "product_type": "MERCHANDISE",
            "parent_id": "338207448",
            "is_primary_sku": true,
            "thumbnails": [
                "https://images.thdstatic.com/productImages/f0546c5c-9ebb-4d8f-b19e-e352caacfbdf/svn/wiha-screwdriver-sets-32097-64_1000.jpg",
                "https://images.thdstatic.com/productImages/178fdd64-810c-433d-a54d-ceb58b5ec472/svn/wiha-screwdriver-sets-32097-e4_1000.jpg"
            ],
            "images": [
                {
                    "url": "https://images.thdstatic.com/productImages/f0546c5c-9ebb-4d8f-b19e-e352caacfbdf/svn/wiha-screwdriver-sets-32097-64_65.jpg",
                    "type": "PRIMARY"
                },
                {
                    "url": "https://images.thdstatic.com/productImages/178fdd64-810c-433d-a54d-ceb58b5ec472/svn/wiha-screwdriver-sets-32097-e4_65.jpg",
                    "type": "SECONDARY"
                }
            ],
            "variants": [],
            "total_options": 2,
            "rating": 4.9,
            "total_reviews": 89,
            "price": 44.98,
            "list_price": 44.98,
            "price_per_unit": null,
            "unit_of_measure": "each",
            "units_per_case": 0.0,
            "bulk_pricing": null,
            "discount_campaign": null,
            "clearance": null,
            "conditional_promotions": [
                {
                    "promotion_id": null,
                    "tags": null,
                    "tiers": []
                }
            ],
            "currency": "USD",
            "currency_symbol": "$",
            "highlights": [],
            "specifications": null,
            "categories": [
                "Tools",
                "Hand Tools",
                "Hand Tool Sets",
                "Screwdriver Sets"
            ],
            "department": "Screwdriver Sets",
            "breadcrumbs": [
                "Tools",
                "Hand Tools",
                "Screwdrivers & Nut Drivers",
                "Screwdrivers"
            ],
            "collection": null,
            "availability": "Online",
            "discontinued": false,
            "backordered": false,
            "in_stock": true,
            "fulfillment_options": [
                {
                    "fulfillment_type": "pickup",
                    "service_type": "boss",
                    "fulfillable": true,
                    "has_free_shipping": false,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": null,
                    "delivery_timeline": null,
                    "inventory": {
                        "quantity": 89,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "801",
                    "store_name": "West Mobile",
                    "curbside_pickup": null
                },
                {
                    "fulfillment_type": "delivery",
                    "service_type": "sth",
                    "fulfillable": true,
                    "has_free_shipping": true,
                    "free_delivery_threshold": null,
                    "delivery_charge": null,
                    "total_charge": 0.0,
                    "delivery_start_date": "2026-03-19",
                    "delivery_end_date": "2026-03-20",
                    "delivery_timeline": "later",
                    "inventory": {
                        "quantity": 89,
                        "in_stock": true,
                        "out_of_stock": false,
                        "limited_quantity": false
                    },
                    "store_id": "8119",
                    "store_name": null,
                    "curbside_pickup": null
                }
            ],
            "excluded_ship_states": "AK,GU,HI,PR,VI",
            "is_sponsored": true,
            "retailer_badges": [],
            "returnable": "90-Day",
            "quantity_limit": 0,
            "has_subscription": false,
            "favorites_count": 31
        },
        ...
    ],
    "credits_used": 2.5,
    "remaining_credits": 9784301.5
}

Request Cost

2.5 credits per request are deducted for each successful request.

Support

If you want to add a parameter to our response, or have any question or feedback, please write to us at support@unwrangle.com